use std::collections::HashMap;

use crate::events::{EventDispatcher, Event};
use crate::positions::PositionWrapper;
use crate::strategy::Strategy;

pub struct PairStatus {
    pair: String,
    dispatcher: EventDispatcher,
    prices: HashMap<u64, f64>,
    events: Vec<Event>,
    // orders: HashMap<u64, Vec<Order>>,
    positions: HashMap<u64, Vec<PositionWrapper>>,
    current_tick: u64,
    strategy: Option<Box<dyn Strategy>>,
}

impl PairStatus {
    pub fn new(pair: String, current_tick: u64, strategy: Option<Box<dyn Strategy>>) -> Self {
        PairStatus {
            pair,
            dispatcher: EventDispatcher::new(),
            prices: HashMap::new(),
            events: Vec::new(),
            positions: HashMap::new(),
            current_tick,
            strategy,
        }
    }
}