use tokio::time::{Duration, Instant};

pub struct Ticker {
    duration: Duration,
    start_time: Instant,
    current_tick: u64,
}

impl Ticker {
    fn new(duration: Duration) -> Self {
        Ticker {
            duration,
            start_time: Instant::now(),
            current_tick: 1,
        }
    }

    fn inc(&mut self) {
        self.current_tick += 1
    }
}
